# TD 1 : Hands-On Reinforcement Learning

MSO 3.4 Apprentissage Automatique


### Installation

Modules to be installed in order to start the project :

```sh
pip install gym==0.26.2
pip install pyglet==2.0.10
pip install pygame==2.5.2
pip install PyQt5

pip install stable-baselines3
pip install moviepy
```

## REINFORCE

You will find the reinforcement algorithm on the .py file : 'reinforce_cartpole.py'.

Here is the final plot obtained after running it, showing the total reward after the 200 episodes.

![alt text](image.png)

## Stable-Baselines3 and HuggingFace

We are now solving the CartPole with the A2C algorithm, from the Stable-Baselines3 package.
We saved the model through Hugging Face, which is available via the following link : https://huggingface.co/jossuaseksik/a2c-sb3_cartpole/tree/main
